Bug 1275655 - The UI displays a question mark next task execution for remove snapshot operation that takes nearly 2 hours
The UI displays a question mark next task execution for remove snapshot opera...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.1.1
: ---
Assigned To: Ala Hino
Raz Tamir
: Automation
Depends On: 1246114 1275652
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 08:46 EDT by Raz Tamir
Modified: 2017-02-07 10:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-07 10:18:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: ovirt‑4.1?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
print screen (13.23 KB, image/png)
2015-10-27 08:46 EDT, Raz Tamir
no flags Details

  None (edit)
Description Raz Tamir 2015-10-27 08:46:56 EDT
Created attachment 1086839 [details]
print screen

Description of problem:
After removing a non leaf snapshot on a vm with 7 disks on an NFS based storage which takes nearly 2 hours, the UI displays a question mark next to the task execution status.
Detailed description of steps to reproduce: https://bugzilla.redhat.com/show_bug.cgi?id=1275652


Version-Release number of selected component (if applicable):
rhevm-backend-3.6.0.2-0.1.el6.noarch
rhevm-3.6.0.2-0.1.el6.noarch
vdsm-4.17.10-5.el7ev.noarch
qemu-img-rhev-2.3.0-31.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
Setup: vm with ~7 disks: 1 bootable 10GB + 6 * 3GB
1. Create a partition on all disks
2. Create snapshot and write file on all disks except the bootable
3. Repeat step 2 two more times
4. The chain contains now 3 snapshots, delete the second snapshot

Actual results:
The UI displays a question mark next task execution for remove snapshot operation that takes nearly 2 hours

Expected results:


Additional info:
Comment 1 Moti Asayag 2015-10-28 03:09:22 EDT
The job has no tasks under the EXECUTION step which indicates that the context for the 'remove single disk' task wasn't sent properly, else there would have been tasks per each merge snapshot disk.

Setting this on Storage for further debug.
Comment 2 Allon Mureinik 2015-10-28 08:49:05 EDT
Greg, can you take a look please?
Comment 3 Yaniv Lavi 2015-10-29 08:54:56 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 4 Yaniv Lavi 2015-11-09 07:46:19 EST
What is the expected results?
Comment 5 Raz Tamir 2015-11-10 04:28:31 EST
I think that if the operation finished successfully, we should display 'V' next to the task

Note You need to log in before you can comment on or make changes to this bug.